#! /usr/bin/env python

import os

# select these server settings for BF2
"""
options = {
    'path'   : 'C:\\Program Files\\EA GAMES\\Battlefield 2 Server',
    'exe'    : 'bf2_w32ded',
    'mod'    : 'mods/bf2',
    'config' : 'D:\\Projects\\rcwt\\bf2_serverSettings.con',
    'maplist': 'D:\\Projects\\rcwt\\bf2_maplist.con'}
"""

# select these server settings for BF2 Special Forces
"""
options = {
    'path'   : 'C:\\Program Files\\EA GAMES\\Battlefield 2 Server',
    'exe'    : 'bf2_w32ded',
    'mod'    : 'mods/xpack',
    'config' : 'D:\\Projects\\rcwt\\bf2_serverSettings.con',
    'maplist': 'D:\\Projects\\rcwt\\bf2sf_maplist.con'}
"""

# select these server settings for BF2142
"""
options = {
    'path'   : 'C:\\Program Files\\Electronic Arts\\Battlefield 2142 Server',
    'exe'    : 'bf2142_w32ded',
    'mod'    : 'mods/bf2142',
    'config' : 'D:\\Projects\\rcwt\\bf2142_serverSettings.con',
    'maplist': 'D:\\Projects\\rcwt\\bf2142_maplist.con'}
"""

# select these server settings for BF2142 Unlocks
""
options = {
    'path'   : 'C:\\Program Files\\Electronic Arts\\Battlefield 2142 Server',
    'exe'    : 'bf2142_w32ded',
    'mod'    : 'mods/Unlocks_v1.01',
    'config' : 'D:\\Projects\\rcwt\\bf2142_serverSettings.con',
    'maplist': 'D:\\Projects\\rcwt\\bf2142_maplist.con'}
""

def startup():
    cmd = options['exe']
    args = ' +config "%s" +mapList "%s" +modPath "%s"' %(options['config'], options['maplist'], options['mod'])
    os.chdir(options['path'])
    os.spawnv(os.P_NOWAIT, cmd, (args,))

startup()

